Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity.projectile
Class EntityFishHook

    java.lang.Object
      net.minecraft.entity.Entity
          net.minecraft.entity.projectile.EntityFishHook

    public class EntityFishHook

extends Entity

Field Summary
`EntityPlayer` | `angler`
`Entity` | `bobber` The entity that the fishing rod is connected to, if any.
`int` | `shake`

Fields inherited from class net.minecraft.entity.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityFishHook(World par1World)`
`EntityFishHook(World par1World, double par2, double par4, double par6, EntityPlayer par8EntityPlayer)`
`EntityFishHook(World par1World, EntityPlayer par2EntityPlayer)`

Method Summary
`void` | `calculateVelocity(double par1, double par3, double par5, float par7, float par8)`
`int` | `catchFish()`
`float` | `getShadowSize()`
`boolean` | `isInRangeToRenderDist(double par1)`
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `setDead()` Will get destroyed next tick.
`void` | `setPositionAndRotation2(double par1, double par3, double par5, float par7, float par8, int par9)`
`void` | `setVelocity(double par1, double par3, double par5)`
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.entity.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canAttackWithItem, canBeCollidedWith, canBePushed, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85030_a, func_85031_j, func_85032_ar, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, readFromNBT, setAir, setAngles, setCurrentItemOrArmor, setEating, setFire, setHasActivePotion, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setRotationYawHead, setSneaking, setSprinting, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### shake

    public int shake

### angler

    public EntityPlayer angler

### bobber

    public Entity bobber

  The entity that the fishing rod is connected to, if any. When you right click on the fishing rod and the hook falls on to an entity, this it that entity.

Constructor Detail

### EntityFishHook

    public EntityFishHook(World par1World)

### EntityFishHook

    public EntityFishHook(World par1World,
                          double par2,
                          double par4,
                          double par6,
                          EntityPlayer par8EntityPlayer)

### EntityFishHook

    public EntityFishHook(World par1World,
                          EntityPlayer par2EntityPlayer)

Method Detail

### isInRangeToRenderDist

    public boolean isInRangeToRenderDist(double par1)

  Overrides:
    `isInRangeToRenderDist` in class `Entity`

### calculateVelocity

    public void calculateVelocity(double par1,
                                  double par3,
                                  double par5,
                                  float par7,
                                  float par8)

### setPositionAndRotation2

    public void setPositionAndRotation2(double par1,
                                        double par3,
                                        double par5,
                                        float par7,
                                        float par8,
                                        int par9)

  Overrides:
    `setPositionAndRotation2` in class `Entity`

### setVelocity

    public void setVelocity(double par1,
                            double par3,
                            double par5)

  Overrides:
    `setVelocity` in class `Entity`

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `Entity`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

### getShadowSize

    public float getShadowSize()

  Overrides:
    `getShadowSize` in class `Entity`

### catchFish

    public int catchFish()

### setDead

    public void setDead()

  Will get destroyed next tick.

  Overrides:
    `setDead` in class `Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD